import styled from 'styled-components'

export const DialogStyles = styled.div`    
    hr {
        height: 5px;
    }
`

export const DialogButton = styled.button`
    width: 2.5rem;
    background: transparent;//${props => props.colorBackground ? props.colorBackground : props.theme.palette.background.main};
    padding: 0;
    transition: 200ms ease;
    border: none;
    cursor: pointer;

    @media(max-width: 600px) {
        width: 50vw;
    }
    @media (max-width: 800px) and (min-height: 1000px) {
        width: 50vw;
    }

    @media(min-width: 900px) {
        width: 15vw;
    }

    &:hover {
        background: transparent; //${props => props.colorBackgroundHover ? props.colorBackgroundHover : props.theme.palette.background.main};        
        transform: scale(1.1);
    }

    &:focus {
        outline: none;
    }

    img {
        width: 100%;        
    }

    ${props => props.clicked? "filter: grayscale(100%)": ""};
`

export const ButtonText = styled.button`
    background: ${props => props.colorBackground ? props.colorBackground : props.theme.palette.background.main};
    transition: 200ms ease;
    border: none;
    padding: 1vw 2vw;
    border-radius: 15px;
    color: ${props => props.colorText ? props.colorText : '#fff'};
    text-transform: uppercase;
    >p{font-weight: bolder;
    text-indent: 0;}
    cursor: pointer;

    @media(max-width: 900px){
        padding: 1rem 1.5rem;
    }
    
    &:hover {
        background: ${props => props.colorBackgroundHover ? props.colorBackgroundHover : props.theme.palette.background.main};        
        transform: scale(1.1);
    }

    &:focus {
        outline: none;
    }

    ${props => props.clicked ? "filter: grayscale(100%)": ""};
`

export const CloseButton = styled.button`
    background: ${props => props.theme.palette.background.main};
    border: none;
    
    &:focus {
        outline: none;
    }

    img {
        width: 2rem;
    }
`