import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Considerações Finais
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    Neste material, vimos as principais
                                    situações especiais em anafilaxia e como
                                    deve ser o manejo de cada uma delas na APS.
                                </p>
                                <p>
                                    A partir do que foi estudado, você
                                    conseguirá identificar a anafilaxia nas
                                    seguintes situações: acidentes provocados
                                    por abelhas, formigas, caravelas e
                                    águas-vivas, animais peçonhentos; alergia ao
                                    látex e os eventos adversos pós-vacinação.
                                </p>
                                <p>
                                    Esperamos que os conteúdos abordados
                                    auxiliem no reconhecimento das
                                    características clínicas nas principais
                                    situações especiais de anafilaxia e no
                                    manejo adequado pela equipe da APS.
                                </p>

                                <p>Até a próxima!​</p>
                            </Typography>
                        </Box>
                    </Box>
                </Content>
                <Footer prev="/menu" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
