import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
  animationstyles,
  containerstyles,
  contentstyles,
  fontstyles,
  conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
  ${animationstyles};
  ${containerstyles};
  ${fontstyles};

  ${conteudointerno};
`;

export const Content = styled(Box)`
background: #F1EDF3;
overflow: hidden;
  img {
    max-width: 100%;
    object-fit: scale-down;
  }

  h5 {
    font-weight: bolder;
    
  }

  flex-grow: 1;
  display: block;
  @media (min-width: 900px) {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
  ${contentstyles};

  .content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    max-height: 67.5vh;
    overflow: hidden;
    
    @media (min-width: 900px) {
      max-height: 80vh;
    }
  }
  
  
`;
