import React, {useEffect} from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";

import Cards1 from "./../../assets/images/info_media/menu/Cards1.png";
import Cards2 from "./../../assets/images/info_media/menu/Cards2.png";
import Cards3 from "./../../assets/images/info_media/menu/Cards3.png";
import Cards4 from "./../../assets/images/info_media/menu/Cards4.png";
import Cards5 from "./../../assets/images/info_media/menu/Cards5.png";
import Cards6 from "./../../assets/images/info_media/menu/Cards6.png";

import { Content, StyledContainer, Menu } from "./styles";

export default function () {
    const KEY = "INFO_ANAFILAXIA";
    const changePage = (path) => {
        window.location.href = "#/" + path;
        window.sessionStorage.setItem(path + KEY, "visited");
    };

    useEffect(() => {
        CardsTop.map((item) => {
            const value = window.sessionStorage.getItem(item.path + KEY);
            const objeto = document.getElementById(item.id);
            if (value) {
                objeto.style.opacity = "0.55";
            }
        });
        CardsBottom.map((item) => {
            const value = window.sessionStorage.getItem(item.path + KEY);
            const objeto = document.getElementById(item.id);
            if (value) {
                objeto.style.opacity = "0.55";
            }
        });
    }, []);

    const CardsTop = [
        {
            id: "card1",
            mainImgSrc: Cards1,
            path: "menu1",
        },
        {
            id: "card2",
            mainImgSrc: Cards2,
            path: "menu21",
        },
        {
            id: "card3",
            mainImgSrc: Cards3,
            path: "menu31",
        },
    ];
    const CardsBottom = [
        {
            id: "card4",
            mainImgSrc: Cards4,
            path: "menu41",
        },
        {
            id: "card5",
            mainImgSrc: Cards5,
            path: "menu51",
        },
        {
            id: "card6",
            mainImgSrc: Cards6,
            path: "menu61",
        },
    ];

    return (
        <StyledContainer>
            <Header />
            <Box className="container">
                <Content>
                    <Box className="content">
                        <Typography variant="body1" className="mt-5 mb-4">
                            <b>Clique</b> nas imagens abaixo para compreender as
                            principais situações especiais em anafilaxia.
                        </Typography>

                        <Menu>
                            <div>
                                {CardsTop.map((elem) => {
                                    return (
                                        <button
                                            key={elem.id}
                                            id={elem.id}
                                            onClick={() => {
                                                changePage(elem.path);
                                            }}
                                        >
                                            <img
                                                alt=""
                                                src={elem.mainImgSrc}
                                                className="img-fluid"
                                            />
                                        </button>
                                    );
                                })}
                            </div>
                            <div>
                                {CardsBottom.map((elem) => {
                                    return (
                                        <button
                                            key={elem.id}
                                            id={elem.id}
                                            onClick={() => {
                                                changePage(elem.path);
                                            }}
                                        >
                                            <img
                                                alt=""
                                                src={elem.mainImgSrc}
                                                className="img-fluid"
                                            />
                                        </button>
                                    );
                                })}
                            </div>
                        </Menu>
                    </Box>
                </Content>
            </Box>
            <Footer prev="/p1" next="/final" />
        </StyledContainer>
    );
}
