import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    containerstyles,
    contentstyles,
    fontstyles,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${containerstyles};
    ${fontstyles};
`;

export const Content = styled(Box)`
    flex-grow: 1;

    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
    }

    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    .text {
        display: flex;
        flex-direction: column;
        margin-bottom: 1rem;

        @media (min-width: 900px) {
            margin-bottom: 0;
        }
    }
`;

export const Menu = styled(Box)`
    position: relative;
    margin: 0.3rem auto;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    align-self: center;
    padding: 1rem 0;
    display: flex;
    row-gap: 12px;
    @media (min-width: 1000px) and (max-height: 527px) {
        margin: 0.1rem auto;
    }

    > div {
        display: flex;
        justify-content: center;
        @media (max-width: 700px) {
            flex-direction: column;
        }
    }

    #card1,
    #card2,
    #card3,
    #card4,
    #card5,
    #card6 {
        position: relative;
        width: 15%;
        transition: all 0.3s cubic-bezier(0.25, 0.8, 0.25, 1);
        :hover {
            transform: scale(1.1);
        }
        background: none;
        border: none;
        margin: 0 10px;
        @media (max-width: 700px) {
            width: 70%;
            margin: 0.5rem 0;
            align-self: center;
        }
        @media (min-width: 1000px) and (max-height: 527px) {
            margin: 0;
            width: 11%;
        }
        @media (max-width: 800px) and (min-height: 1000px) {
          width: 25%;
        }
    }
`;
