import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Attention from "../../components/Attention";

import important from "../../assets/icons/IMPORTANTE.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Acidentes provocados por abelhas
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    As reações de hipersensibilidade decorrentes
                                    de picadas de inseto tem ocorrência estimada entre 
                                    0,4% e 10% dos grupos estudados, sendo que
                                    as reações alérgicas ocorrem principalmente
                                    em adultos e nos indivíduos
                                    profissionalmente expostos
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </p>
                                <p>
                                    As reações geradas pela picada de abelhas
                                    variam de acordo com o local e número de
                                    ferroadas, além das características e do
                                    histórico alérgico do usuário acometido. As
                                    manifestações clínicas podem ser alérgicas,
                                    mesmo com apenas uma picada, ou tóxicas, por
                                    múltiplas picadas
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </Box>
                        <Attention Image={important} Title="IMPORTANTE">
                            A intensidade da reação inicial provocada por uma ou
                            múltiplas ferroadas alerta para um possível estado
                            de sensibilidade e exacerbação da resposta às
                            ferroadas em um episódio futuro
                            <Reference num="1" onClick={() => openRef(1)} />.
                        </Attention>
                    </Box>
                </Content>
                <Footer next="/menu12" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
