import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import Zoom from "../../components/Zoom";
import important from "../../assets/buttons/IMPORTANTE.png";
import { NewZoom } from "./../../components/NewZoom/index";
import { Content, StyledContainer } from "./styles";

import image from "../../assets/images/info_media/menu12/image.png";

export default function () {
  const headerref = useRef(Header);
  const openRef = (key) => {
    if (!headerref.current) {
      return;
    }

    headerref.current.openRef(key);
  };

  const content = (
    <>
      <p>
        Embora seja raro, existem relatos de reações alérgicas tardias, que
        ocorrem diversos dias após a ferroada, apresentando artralgia, febre e
        encefalite
        <Reference num="1" onClick={() => openRef(1)} />.
      </p>
    </>
  );
  return (
    <StyledContainer>
      <Header ref={headerref} />
      <Box className="container">
        <Content>
          <Box className="title">
            <Typography variant="h5" align="center">
              Acidentes provocados por abelhas
            </Typography>
          </Box>
          <Box className="content">
            <Box className="text">
              <Typography variant="body1">
                <p>
                  Com relação às manifestações locais, após uma ferroada,
                  geralmente há dor aguda local, que melhora espontaneamente em
                  poucos minutos, podendo manter hiperemia, prurido e edema por
                  várias horas ou dias
                  <Reference num="1" onClick={() => openRef(1)} />.
                </p>
              </Typography>
            </Box>

            <div className="text-image">
              <div className="text">
                <Typography variant="body1">
                  <p>
                    As reações regionais têm início lento, e além do prurido e
                    do eritema, o edema flogístico tende a evoluir com enduração
                    local, aumentando de tamanho nas primeiras 24 a 48 horas, no
                    entanto, tende a diminuir em alguns dias. Em alguns casos, o
                    edema é tão exacerbado que promove limitação de movimento no
                    membro acometido
                    <Reference num="1" onClick={() => openRef(1)} />.
                  </p>
                  <p>
                    Aproximadamente 10% dos usuários que apresentam reações
                    regionais evoluem com manifestações sistêmicas, que
                    correspondem ao quadro clássico da anafilaxia, com sintomas
                    de início rápido após a ferroada, podendo apresentar
                    cefaleia, vertigens, calafrios, agitação psicomotora,
                    sensação de compressão torácica, prurido generalizado,
                    urticária, angioedema, dispneia, edema de laringe, estridor,
                    broncoespasmo, disfagia, náuseas, vômitos, dor abdominal e
                    hipotensão
                    <Reference num="1" onClick={() => openRef(1)} />.
                  </p>
                  <p>
                    <b>Clique</b> na imagem ao lado para observar quadro tóxico
                    decorrente de múltiplas picadas de abelha.
                  </p>
                  <div className="dialog">
                    <Dialog
                      content={content}
                      title="Importante"
                      image={important}
                    />
                  </div>
                </Typography>
              </div>
              <NewZoom zoom={image} zoomWidth="20vw" zoomHeight="70vh" />
            </div>
          </Box>
        </Content>
        <Footer prev="/menu1" next="/menu13" color="transparent" />
      </Box>
    </StyledContainer>
  );
}
