import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
        box-sizing: border-box;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;
        @media (max-width: 600px) {
          max-height: 60vh;
        }
    }

    .text-image {
        display: flex;
        column-gap: 2rem;
        .text {
            width: 70%;
        }
        .image {
            width: 30%;
            display: flex;
            align-items: center;
            justify-content: center;
            img {
                max-width: 70%;
            }
            @media(min-width: 1500px) and (max-height: 750px){
              img{
                max-width: 60%;
              }
            }
        }
        @media(max-width: 600px){
          flex-direction: column;
          .text{
            width: 100%;
            p{
              width: 100%;
            }
          }
          .image{
            width: 100%;
            
          }
          .dialog{
            width: 100%;
            margin-bottom: 1rem;
            display: flex;
            justify-content: center;
            img{
              width: 30vw;
            }
          }
        }
        @media(max-width: 800px) and (min-height: 1000px){
          column-gap: 1rem;
          .image{
            width: 35%;
          }
          .dialog{
            width: 100%;
            img{
              width:30vw;
            }
          }
        }
        
        @media(min-width: 1000px) and (max-height: 700px){
          column-gap: 2rem;
          .image{
            width: 25%;
          }
        }

    }
`;
