import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Zoom from "../../components/Zoom";
import { NewZoom } from "./../../components/NewZoom/index";

import { Content, StyledContainer } from "./styles";

import image from "../../assets/images/info_media/menu13/image.png";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Acidentes provocados por abelhas
                        </Typography>
                    </Box>
                    <Box className="content">

                        <div className="text-image mt-4">
                            <div className="text mt-3">
                                <Typography variant="body1">
                                <p>
                                    A Síndrome de Envenenamento corresponde ao
                                    quadro tóxico generalizado, ocorrendo nos
                                    acidentes causados por ataque múltiplo de
                                    abelhas (enxames), em decorrência da
                                    quantidade de veneno inoculada.
                                </p>
                                    <p>
                                        Além dos sintomas locais, regionais e
                                        sistêmicos, na síndrome de envenenamento
                                        há hemólise intravascular, rabdomiólise,
                                        manifestações neurológicas como torpor e
                                        coma, manifestações cardiovasculares
                                        como hipotensão arterial, e
                                        manifestações renais como oligúria ou
                                        anuria e insuficiência renal aguda
                                        <Reference
                                            num="1"
                                            onClick={() => openRef(1)}
                                        />
                                        .
                                    </p>
                                    <p>
                                        Além da síndrome de envenenamento, uma
                                        das principais complicações de um
                                        acidente por picada de abelha é o choque
                                        anafilático, podendo levar o usuário à
                                        óbito, pois as reações de
                                        hipersensibilidade podem ser
                                        desencadeadas por uma única ferroada
                                        <Reference
                                            num="1"
                                            onClick={() => openRef(1)}
                                        />
                                        .
                                    </p>
                                </Typography>
                            </div>
                            <div className="image">
                                <NewZoom zoom={image} zoomWidth="20vw" zoomHeight="70vh" zoomMobileWidth="95vw" zoomMobileHeight="38vh"/>
                            </div>
                        </div>
                    </Box>
                </Content>
                <Footer prev="/menu12" next="/menu14" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
