import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
        box-sizing: border-box;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
        @media (max-width: 600px) {
          max-height: 70vh;
        }
    }

    .text-image {
        display: flex;
       
        .text {
            width: 50%;
        }
        .image {
            width: 67%;
            display: flex;
            align-items: center;
            justify-content: center;
            img {
                max-width: 100%;
            }
        }
        @media (max-width: 600px) {
          flex-direction: column;
          .text{
            width: 100%;
          }
          .image{
            width: 100%
          }
        }
    }
`;
