import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Attention from "../../components/Attention";

import important from "../../assets/icons/OBJETIVO.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Acidentes provocados por abelhas
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    Para remoção dos ferrões, principalmente nos
                                    acidentes causados por enxames, não se deve fazer
                                    o pinçamento de cada ferrão, pois a compressão
                                    pode gerar inoculação do veneno ainda presente, a
                                    técnica indicada é a raspagem com lâmina
                                    <Reference num="1" onClick={() => openRef(1)} />.
                                </p>
                            </Typography>
                        </Box>
                        <Typography variant="body1" id="pinkBox">
                            No tratamento dos casos de anafilaxia a adrenalina por
                            via intramuscular deve ser empregada.
                        </Typography>
                        <div className="texts">
                            <Typography variant="body1" className="text1">
                                <p>
                                    No controle da dor, quando necessário, podem ser
                                    utilizados analgésicos, como a dipirona, por via
                                    parenteral, na dose de 500mg para adultos e
                                    10mg/kg de peso para crianças.
                                </p>
                            </Typography>
                            <div className="divisor"></div>
                            <Typography variant="body1" className="text2">
                                <p>
                                    Para alívio dos sintomas dermatológicos e redução
                                    da intensidade e duração do angioedema e da
                                    urticária, podem ser utilizados corticoides e
                                    anti-histamínicos. E nos casos de broncoespasmo,
                                    o uso de broncodilatador
                                    <Reference num="1" onClick={() => openRef(1)} />.
                                </p>
                            </Typography>
                        </div>
                    </Box>
                </Content>
                <Footer prev="/menu13" next="/menu15" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
