import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
    }

    #pinkBox {
        background: #984bbb;
        color: #fff;
        padding: 2rem;
        border-radius: 8px;
        width: 95%;
        display: flex;
        align-self: center;
        justify-content: center;
        margin: 1rem 0;
    }
    .texts {
        display: flex;
        column-gap: 2rem;
        margin-top: 1rem;
        justify-content: center;
        .text1{
            width: 45%;
        }
        .divisor {
            border: dashed 1px #984bbb;
        }
        .text2{
            width: 45%;
        }
        p {
            padding-top: 0.7rem;
        }
        @media (max-width: 600px) {
          column-gap: 1rem;
        }
    }
`;
