import React, { useRef, useState } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import button_close from "../../assets/buttons/btn_fechar.svg";
import tabela from "../../assets/images/info_media/tabelas/tabela1.png";
import pdf from "../../assets/images/info_media/tabelas/tabela1.pdf";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    const [abaSelecionada, setAbaSelecionada] = useState(0);

    const sintomas = [
        <p key="0">
            Dor aguda <br />
            Hiperemia
            <br /> Prurido
            <br /> Edema
        </p>,
        <p key="1">
            Prurido
            <br />
            Eritema
            <br />
            Edema flogístico com enduração local
        </p>,
        <p key="2">
            Anafilaxia (cefaleia, vertigem, dispneia, broncoespasmo, agitação
            psicomotora, prurido generalizado, urticária, angioedema,
            hipotensão, dor abdominal)
        </p>,
        <p key="3">
            Artralgia
            <br /> Febre <br />
            Encefalite
        </p>,
        <p key="4">
            Sintomas locais
            <br />
            Sintomas Regionais
            <br />
            Sintomas Sistêmicos
            <br />
            Hemólise intravascular
            <br />
            Hipotensão arterial
            <br />
            Oliguria / Anuria
            <br />
            Insuficiência Renal Aguda
        </p>,
    ];
    const condutas = [
        <p key="0">
            Analgesia (dipirona/ paracetamol)
            <br />
            Anti-histamínico (loratadina/ dexclorfeniramina/prometazina)
        </p>,
        <p key="1">
            Analgesia (dipirona/ paracetamol)
            <br />
            Anti-histamínico (loratadina/ dexclorfeniramina/prometazina)
            <br />
            Corticoide oral (prednisona)
        </p>,
        <p key="2">
            Adrenalina
            <br />
            Broncodilatador (salbutamol)
            <br />
            Analgesia (dipirona/ paracetamol)
            <br />
            Anti-histamínico (loratadina/ dexclorfeniramina/prometazina)
            <br />
            Corticoide (hidrocortisona/ prednisona)
            <br />
            Expansão de volume (Solução salina/ Ringer lactato)
            <br />
            Suporte clínico em unidade de urgência e emergência
        </p>,
        <p key="3">
            Analgesia (dipirona/ paracetamol)
            <br /> Corticoide (hidrocortisona/ prednisona)
        </p>,
        <p key="4">
            Adrenalina
            <br />
            Broncodilatador (salbutamol)
            <br />
            Analgesia (dipirona/ paracetamol)
            <br />
            Anti-histamínico (loratadina/ dexclorfeniramina/prometazina)
            <br />
            Corticoide (hidrocortisona/ prednisona)
            <br />
            Expansão de volume (Solução salina/ Ringer lactato)
            <br />
            Suporte clínico em unidade de urgência e emergência
        </p>,
    ];

    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <div className="top">
                        <Box className="title">
                            <Typography variant="h5" align="center">
                                Acidentes provocados por abelhas
                            </Typography>
                        </Box>
                        <div className="button">
                            <a href="#/menu">
                                <img src={button_close} />
                            </a>
                        </div>
                    </div>
                    <Box className="text">
                        <Typography variant="body1">
                            <p>
                                <b>Clique</b> nas manifestações clínicas de
                                acidentes causados por abelhas para observar os
                                sintomas e as condutas adequadas.
                            </p>
                        </Typography>
                    </Box>
                    <Box className="content">
                        <div className="content2">
                            <div className="titleTable">
                                <Typography variant="body1">
                                    <p>
                                        Manifestações Clínicas e Condutas –
                                        Acidentes provocados por abelhas
                                    </p>
                                </Typography>
                            </div>
                            <div className="subtitles">
                                <div className="subtitle1">
                                    <Typography>
                                        <p>Manifestação</p>
                                    </Typography>
                                </div>
                                <div className="subtitle2">
                                    <Typography>
                                        <p>Sintomas</p>
                                    </Typography>
                                </div>
                                <div className="subtitle3">
                                    <Typography>
                                        <p>Condutas</p>
                                    </Typography>
                                </div>
                            </div>
                            <Box className="abas-texto">
                                <div className="abas">
                                    <Typography
                                        variant="body1"
                                        className={`${
                                            abaSelecionada === 0 &&
                                            "abaSelecionada"
                                        }  `}
                                        onClick={() => setAbaSelecionada(0)}
                                    >
                                        Local (Início rápido e duração de
                                        minutos a horas/dias)
                                    </Typography>
                                    <Typography
                                        variant="body1"
                                        className={`${
                                            abaSelecionada === 1 &&
                                            "abaSelecionada"
                                        }  `}
                                        onClick={() => setAbaSelecionada(1)}
                                    >
                                        Regional (Início lento 24-48h e duração
                                        de dias)
                                    </Typography>
                                    <Typography
                                        variant="body1"
                                        className={`${
                                            abaSelecionada === 2 &&
                                            "abaSelecionada"
                                        }  `}
                                        onClick={() => setAbaSelecionada(2)}
                                    >
                                        Sistêmica (Início rápido após ferroada)
                                    </Typography>
                                    <Typography
                                        variant="body1"
                                        className={`${
                                            abaSelecionada === 3 &&
                                            "abaSelecionada"
                                        }  `}
                                        onClick={() => setAbaSelecionada(3)}
                                    >
                                        Tardia (Início diversos dias após a
                                        ferroada)
                                    </Typography>
                                    <Typography
                                        variant="body1"
                                        className={`${
                                            abaSelecionada === 4 &&
                                            "abaSelecionada"
                                        }  `}
                                        onClick={() => setAbaSelecionada(4)}
                                    >
                                        Síndrome do Envenenamento (Quadro tóxico
                                        generalizado)
                                    </Typography>
                                </div>
                                <div className="textoAbas">
                                    <div className="sintomas">
                                        <Typography
                                            variant="body1"
                                            id="sintomas"
                                        >
                                            {sintomas[abaSelecionada]}
                                        </Typography>
                                    </div>

                                    <div className="condutas">
                                        <Typography variant="body1">
                                            {condutas[abaSelecionada]}
                                        </Typography>
                                    </div>
                                </div>
                            </Box>

                            <div className="imagem">
                                <a href={pdf} target="_blank">
                                    <img src={tabela} />
                                </a>
                            </div>
                        </div>
                    </Box>
                </Content>
                <Footer prev="/menu14" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
