import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
            overflow: hidden;
        }
    }
    .top {
        display: flex;
    }
    .title {
        width: 95%;
    }
    .button {
        width: 5%;
    }
    .titleTable {
        width: 100%;
        background: #984bbb;
        color: #fff;
        padding: 0.6rem;
        display: flex;
        align-items: center;
        justify-content: center;
        p {
            margin: 0;
        }
    }
    .subtitles {
        display: flex;
        width: 100%;
        background: #984bbb;
        color: #fff;
        padding: 0.4rem;
        border-top: solid 1px #fff;
        text-align: center;
        p {
            margin: 0;
        }
        .subtitle1 {
            width: 30%;
        }
        .subtitle2 {
            border-left: solid 1px #fff;
            border-right: solid 1px #fff;
            width: 30%;
        }
        .subtitle3 {
            width: 40%;
        }
    }

    .abas-texto {
        display: flex;

        width: 100%;
    }
    .abas {
        display: flex;
        flex-direction: column;
        width: 30%;

        > p {
            background: #c8b6d1;
            color: white;
            display: flex;
            justify-content: center;
            align-items: center;
            text-align: center;
            font-weight: bold;
            cursor: pointer;
            width: 100%;
            font-size: 1vw;
            padding: 0.5rem;

            :nth-child(1) {
                border: solid 1px #fff;
            }
            :nth-child(2) {
                border: solid 1px #fff;
            }
            :nth-child(3) {
                border: solid 1px #fff;
            }
            :nth-child(4) {
                border: solid 1px #fff;
            }
            :nth-child(5) {
                border: solid 1px #fff;
            }
            @media (max-width: 800px) and (min-height: 1000px) {
                font-size: 2vw;
            }
        }
    }
    .abaSelecionada {
        background: #984bbb !important;
    }
    .textoAbas {
        display: flex;
        width: 70%;
        height: 100%;

        justify-content: flex-start;
        .sintomas {
            border: solid 2px #984bbb;
            width: 43%;
            height: 100%;
            display: flex;
            color: #984bbb;
            align-items: center;
            overflow: hidden;
            text-align: center;
            justify-content: center;
            p {
                margin: 0;
            }
        }
        .condutas {
            border: solid 2px #984bbb;
            width: 57%;
            height: 100%;
            display: flex;
            color: #984bbb;
            align-items: center;
            overflow: hidden;
            text-align: center;
            justify-content: center;
            /* p {
                margin: 0;
                font-size: 1.5vw;
            } */
            @media (min-width: 601px) and (max-width: 899px){
                    padding: 1rem;
            }
            
        }
    }
    @media (min-width: 601px) {
        .imagem {
            display: none;
        }
    }
    @media (max-width: 600px) {
        .titleTable {
            display: none;
        }
        .subtitles {
            display: none;
        }
        .abas-texto {
            display: none;
        }
    }
    @media (min-width: 601px) and (max-width: 899px){
        .abas-texto {
            height: 35vh;
        }
        .abas p {
            height: 100%;
            font-size: 1.5vh;
        }
    }

    @media (min-width: 900px) {
        .abas-texto {
            height: 40vh;
        }
        .abas p {
            height: 100%;
            font-size: 2.3vh;
        }
        .sintomas p {
            line-height: 1.5rem;
        }
        .sintomas {
            padding: 1rem;
        }
        
    }
`;
