import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import img1 from "../../assets/images/info_media/menu21/img1.png";
import img2 from "../../assets/images/info_media/menu21/img2.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Acidentes provocados por formigas
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    As principais formigas de interesse médico
                                    são as formigas-de-fogo e as formigas
                                    saúvas.
                                </p>
                            </Typography>
                        </Box>
                        <div className="images">
                            <img src={img1} alt="formigas de fogo" />
                            <img src={img2} alt="formiga saúva" />
                        </div>
                        <Typography variant="body1" className="mt-4">
                            <p>
                                As manifestações alérgicas são variáveis devido
                                à resposta de cada indivíduo, sendo o usuário
                                atópico mais sensível.
                            </p>
                        </Typography>
                    </Box>
                </Content>
                <Footer next="/menu22" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
