import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 35.5%;
        object-fit: scale-down;
        box-sizing: border-box;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
    }

    .images {
        display: flex;
        justify-content: space-around;
        @media (max-width: 600px) {
            flex-direction: column;
            width: 100%;
            justify-content: center;
            align-items: center;
            img {
                
                max-width: 100%;
                width: 90%;
            }
        }
        @media (min-width: 1000px) and (max-height: 600px) {
            width: 100%;
            justify-content: space-around;
            align-items: center;
            img {
                
                max-width: 100%;
                width: 30% !important;
            }
        }
    }
`;
