import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import image from "../../assets/images/info_media/menu22/image.png";
import Zoom from "../../components/Zoom";
import { NewZoom } from "./../../components/NewZoom/index";


import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Acidentes provocados por formigas
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <div className="texto-imagem">
                                <div className="texto">
                                    <Typography variant="body1">
                                        <p>
                                            Após a ferroada, há
                                            prurido e a formação de uma pápula
                                            urticariforme de 5mm a 10mm no
                                            local. A dor inicialmente é intensa,
                                            mas em algumas horas há melhora dos
                                            sintomas álgicos. Aproximadamente 24
                                            horas após o acidente há o
                                            surgimento de uma pústula, que é
                                            reabsorvida em torno de sete a dez
                                            dias. Em alguns casos, em
                                            decorrência do rompimento da pústula
                                            por coçadura, pode ocorrer infecção
                                            secundária das lesões, sendo
                                            possível evoluir com abscessos,
                                            erisipela e celulite, sendo
                                            necessário emprego de antibióticos
                                            <Reference
                                                num="1"
                                                onClick={() => openRef(1)}
                                            />
                                            .</p> 
                                            <p><b>Clique</b> na imagem ao lado e observe a presença de eritema, vesículas e pústulas em usuário após picada por formiga-de-fogo.
                                        </p>
                                    </Typography>
                                </div>
                                <div className="imagem">
                                    <NewZoom zoom={image} zoomWidth="20vw" zoomHeight="70vh" zoomMobileWidth="95vw" zoomMobileHeight="38vh"/>
                                </div>
                            </div>
                            <Typography variant="body1" className="mt-4">
                                <p>
                                    O tratamento do acidente por ferroada de
                                    formiga deve ser realizado com a utilização
                                    imediata de compressas frias no local e
                                    aplicação de corticoide tópico. A analgesia
                                    pode ser feita com dipirona ou paracetamol
                                    por via oral e é indicada a prescrição de
                                    anti-histamínicos.
                                </p>
                                <p>
                                    Nos casos em que há múltiplas lesões ou
                                    complicações alérgicas está indicado o uso
                                    de corticoide oral, como a prednisona. Nos
                                    casos de anafilaxia, devem ser seguidas as
                                    orientações já informadas anteriormente,
                                    promovendo atendimento imediato e
                                    administrando adrenalina por via
                                    intramuscular
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </Box>
                    </Box>
                </Content>
                <Footer prev="/menu21" next="/menu23" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
