import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
        @media (max-width: 600px) {
          max-height: 60vh;
        }
    }
    .texto-imagem {
        display: flex;
        //ustify-content: space-around;
        column-gap: 5rem;
        .texto{
            width: 70vw;
        }
        .imagem{
            display: flex;
            align-items: center;
            width: 23vw;
            img{
                max-width: 80%;
            }
        }
        @media (max-width: 600px) {
            flex-direction: column;
            .imagem {
              width:98%;
              margin-top: 1rem;
              justify-content: center;
                img {
                    width: 95%;
                }
            }
        }
        @media (min-width: 1000px) and (max-height: 580px) {
            column-gap: 3rem;

            .texto{
                width: 74%
            }
            .imagem {
              width:21%;
                img {
                    width: 100%;
                }
            }
        }

    }
    .abas-texto {
        display: flex;
        align-items: center;
        margin-top: 1.5rem;
        @media (min-width: 1000px) and (max-height: 527px) {
            margin-top: 0.5rem;
        }
        @media (max-width: 900px) {
            flex-direction: column;
            align-items: flex-start;
        }
    }
    .abas {
        display: flex;
        flex-direction: column;
        @media (max-width: 900px) {
            flex-direction: row;
            justify-content: center;
            width: 100%;
        }
        > p {
            background: #c8b6d1;
            color: white;

            display: flex;
            justify-content: center;
            align-items: center;
            border-top-left-radius: 14px;
            border-bottom-left-radius: 14px;

            @media (min-width: 900px) {
                width: 2.1vw;
                font-size: 1vw;
                padding: 0.5rem;
                padding-left: 0.9rem;
                :nth-child(1) {
                    margin-bottom: 0.4rem;
                    @media (min-width: 1000px) and (max-height: 527px) {
                        margin-bottom: 0.2rem;
                    }
                }
                :nth-child(2) {
                    margin-bottom: 0.4rem;
                    @media (min-width: 1000px) and (max-height: 527px) {
                        margin-bottom: 0.2rem;
                    }
                }
                :nth-child(3) {
                    margin-bottom: 0.4rem;
                    @media (min-width: 1000px) and (max-height: 527px) {
                        margin-bottom: 0.2rem;
                    }
                }
            }
            font-weight: bold;
            cursor: pointer;
            @media (max-width: 700px) {
                border-radius: 0;
                border-top-left-radius: 10px;
                border-top-right-radius: 10px;
                padding: 1rem;
                :nth-child(1) {
                    margin-right: 0.5rem;
                }
                :nth-child(2) {
                    margin-right: 0.5rem;
                }
                :nth-child(3) {
                    margin-right: 0.5rem;
                }
            }
            @media (max-width: 800px) and (min-height: 1000px) {
                border-radius: 0;
                padding: .5rem;
                :nth-child(1) {
                    margin-right: 0.5rem;
                }
                :nth-child(2) {
                    margin-right: 0.5rem;
                }
                :nth-child(3) {
                    margin-right: 0.5rem;
                }
                border-top-left-radius: 10px;
                border-top-right-radius: 10px;
            }
        }
    }
    .abaSelecionada {
        background: #984bbb !important;
    }
    .textoAbas {
        border: solid 2px #984bbb;
        border-radius: 10px;
        padding: 20px;
        width: 100%;
    
        height: 24vh;
        display: flex;
        color: black;
        align-items: center;
        @media (max-width: 900px) {
            height: auto;
            padding: 1rem;
        }
        @media (min-width: 1000px) and (max-height: 527px) {
            height: 27vh;
        }


    }
`;
