import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Attention from "../../components/Attention";
import Zoom from "../../components/Zoom";

import important from "../../assets/icons/IMPORTANTE.png";
import image from "../../assets/images/info_media/menu33/image.png";
import { NewZoom } from "./../../components/NewZoom/index";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Acidentes provocados por caravelas e águas-vivas
                        </Typography>
                    </Box>
                    <Box className="content">
                        <div className="texto-imagem">
                            <div className="texto">
                                <Typography variant="body1">
                                    <p>
                                        A ocorrência de óbito pode ser
                                        consequência de um quadro de anafilaxia
                                        ou efeito do envenenamento, que incluem
                                        insuficiência respiratória e choque
                                        <Reference
                                            num="1"
                                            onClick={() => openRef(1)}
                                        />
                                        . <strong>Clique</strong> na imagem ao lado e observe
                                        lesões eritematosas lineares dois dias
                                        após o contato com água-viva.
                                    </p>
                                </Typography>
                                <Attention Image={important} Title="IMPORTANTE">
                                    No momento do diagnóstico, que é clínico, o
                                    padrão linear edematoso associado a dor
                                    aguda e intensa é muito sugestivo de
                                    acidente por caravela ou água-viva, mas é
                                    importante fazer o diagnóstico diferencial
                                    com a fitofotomelanose, que é uma reação
                                    alérgica resultante da exposição solar após
                                    o contato da pele com algumas plantas ou o
                                    sumo de frutas cítricas
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </Attention>
                            </div>
                            <div className="imagem">
                                <NewZoom zoom={image} zoomWidth="20vw" zoomHeight="70vh" zoomMobileWidth="90vw" zoomMobileHeight="70vh"/>

                            </div>
                        </div>
                    </Box>
                </Content>
                <Footer prev="/menu31" next="/menu33" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
