import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
        @media (max-width: 600px) {
          max-height: 60vh;
        }
    }

    .texto-imagem {
        display: flex;
        column-gap: 5rem;
        .texto {
            width: 65%;
        }
        .imagem {
            width: 35%;
            img {
                width: 80%;
                padding-top: 1rem;
            }
        }
        @media (max-width: 600px) {
            flex-direction: column;
            .texto{
              width: 100%;
            }
            .imagem{
              width: 100%;
              img{
                width:90%;
              }
            }
        }
    }
`;
