import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import AnimatedList from "../../components/AnimatedList";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    const list = [
        "1. Repouso do local afetado;",
        "2. Retirada de tentáculos aderidos levantando-os com a mão enluvada ou pinça, devendo o local ser lavado com água do mar. Não se deve utilizar água doce para lavar o local ou esfregar panos secos, pois aumenta o grau de envenenamento;",
        "3. Aplicar ácido acético 5% (vinagre comum) no local por pelo menos 30 minutos para realizar inativação do veneno;",
        "4. Retirada dos tentáculos remanescentes aplicando pasta de bicarbonato de sódio, talco e água do mar no local. Esperar secar e retirar com uma lâmina;",
        "5. Colocar bolsa de gelo ou compressa de água do mar fria por 5 a 10 minutos. Podem ser utilizados corticoides tópicos para alívio dos sintomas locais e a dor pode ser controlada com o uso de analgésicos.",
    ];
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Acidentes provocados por caravelas e águas-vivas
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    O tratamento dos acidentes causados por caravelas e
                                    águas-vivas é realizado através de cinco
                                    etapas
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    :
                                </p>
                            </Typography>
                        </Box>
                        <AnimatedList
                            List={list}
                            paresBackgroundColor="#C8B6D1"
                            imparesBackgroundColor="#fff"
                            paresColor="#430D88"
                            imparesColor="#430D88"

                        />
                    </Box>
                </Content>
                <Footer prev="/menu32" next="/menu34" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
