import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Attention from "../../components/Attention";

import important from "../../assets/icons/OBJETIVO.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Reações adversas à Soroterapia
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    Os soros heterólogos antiveneno são
                                    concentrados de imunoglobulinas obtidos por
                                    sensibilização de diversos animais, sendo
                                    mais utilizados os de origem equina, pois
                                    são animais dóceis e de fácil manejo, que
                                    respondem bem à imunização e, por serem de
                                    grande porte, produzem muita quantidade de
                                    anticorpos para a produção industrial dos
                                    soros
                                    <Reference
                                        num="2"
                                        onClick={() => openRef(2)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </Box>
                        <Typography variant="body1" id="whiteBox">
                            <p>
                                A Organização Mundial da Saúde (OMS) recomenda
                                que os soros sejam disponibilizados na forma
                                liofilizada, por serem mais estáveis e de fácil
                                armazenamento, no entanto, todos os soros
                                produzidos no Brasil estão em apresentação
                                líquida e devem ser conservados em temperatura
                                adequada que varia de 2ºC a 8ºC, além disso, nas
                                condições ideais de armazenamento possuem
                                validade de dois a três anos
                                <Reference num="1" onClick={() => openRef(1)} />
                                .
                            </p>
                        </Typography>
                        <div className="texts">
                            <Typography variant="body1" className="text1">
                                <p>
                                    A soroterapia antiveneno é utilizada no
                                    tratamento de usuários picados pela maioria
                                    dos <b>animais peçonhentos</b>, sendo que a
                                    indicação deve ser realizada independente do
                                    animal causador ter sido identificado, uma
                                    vez que seu emprego deve ser baseado nas
                                    manifestações clínicas.
                                </p>
                            </Typography>
                            <div className="divisor"></div>
                            <Typography variant="body1" className="text2">
                                <p>
                                    A dose que será utilizada não depende da
                                    idade ou do peso corporal; adultos e
                                    crianças devem receber a mesma quantidade de
                                    soro antiveneno, pois o objetivo do
                                    tratamento é neutralizar a maior quantidade
                                    de veneno ou toxina circulante o mais breve
                                    possível
                                    <Reference
                                        num="2"
                                        onClick={() => openRef(2)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </div>
                    </Box>
                </Content>
                <Footer next="/menu42" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
