import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";


import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Reações adversas à Soroterapia
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    A via de administração recomendada do soro
                                    antiveneno é intravenosa e o soro, diluído ou
                                    não, deve ser infundido em 20 a 60 minutos,
                                    sob vigilância intensiva da equipe médica e
                                    de enfermagem. Com exceção do soro
                                    antilatrodectus, que deve ser administrado
                                    por via intramuscular
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </p>
                                <p>
                                    É observado que a frequência de reações à
                                    soroterapia é menor quando o soro antiveneno
                                    é administrado diluído. A critério médico, a
                                    diluição pode ser feita na razão de 1:2 a
                                    1:5, em solução fisiológica ou glicosado 5%,
                                    com infusão na velocidade de 8 a 12ml/min,
                                    estando atento à possível sobrecarga de
                                    volume em crianças e em usuários com
                                    insuficiência cardíaca
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </p>
                                <p>
                                    As reações à soroterapia podem ser
                                    classificadas em:
                                </p>
                            </Typography>
                        </Box>
                        <div className="caixas">
                            <div className="p1">
                                <Typography variant="body1">
                                    <p>Reações precoces</p>
                                </Typography>
                            </div>

                            <div className="p2">
                                <Typography variant="body1">
                                    <p>Reações tardias</p>
                                </Typography>
                            </div>
                        </div>
                    </Box>
                </Content>
                <Footer prev="/menu41" next="/menu43" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
