import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import image from "../../assets/images/info_media/menu43/image.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Reações adversas à Soroterapia
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    <b>Reações precoces</b>
                                </p>
                                <p>
                                    A maior parte das reações precoces acontece
                                    durante a infusão do soro antiveneno e nas
                                    duas horas subsequentes. Geralmente são
                                    reações consideradas leves, no entanto, é
                                    prudente que o usuário seja mantido em
                                    observação clínica por no mínimo 24 horas
                                    para identificação de outras reações que
                                    possam estar relacionadas com a soroterapia
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </p>
                                <p>
                                    As manifestações clínicas mais frequentes
                                    nas reações precoces são:
                                </p>
                            </Typography>
                        </Box>
                        <div className="my-3 imagem">
                            <img src={image} alt="imagem" />
                        </div>
                        <Typography>
                            <p className="mt-3">
                                Embora raras, podem ocorrer reações precoces
                                graves, semelhantes à reação anafilática. Nesses
                                casos, os usuários podem apresentar <b>arritmia
                                cardíaca, hipotensão arterial, choque e/ou
                                quadros obstrutivos em vias aéreas</b>
                                <Reference num="1" onClick={() => openRef(1)} />
                                .
                            </p>
                        </Typography>
                    </Box>
                </Content>
                <Footer prev="/menu42" next="/menu44" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
