import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import img1 from "../../assets/images/info_media/menu44/img1.png";
import img2 from "../../assets/images/info_media/menu44/img2.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Reações adversas à Soroterapia
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    <b>Reações precoces</b>
                                </p>
                                <p>
                                    Os principais fatores que podem proporcionar
                                    o surgimento de reações precoces são​
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    :
                                </p>
                            </Typography>
                        </Box>
                        <div className="my-3 imagens">
                            <div className="img1">
                                <img src={img1} alt="imagem" />
                            </div>
                            <div className="img2">
                                <img src={img2} alt="imagem" />
                            </div>
                        </div>
                        <Typography>
                            <p className="mt-3">
                                Tendo em vista a possibilidade de ocorrência de
                                reações precoces, foi verificado que o teste de
                                sensibilidade cutânea ou ocular foi excluído da
                                rotina do tratamento de acidentes provocados por
                                animais peçonhentos, pois apresenta baixa
                                sensibilidade e baixos valores preditivos de
                                reações precoces, além de retardar o início do
                                tratamento específico. Desse modo, não está
                                indicada a realização de teste de sensibilidade
                                para soros antiveneno
                                <Reference num="1" onClick={() => openRef(1)} />
                                .
                            </p>
                        </Typography>
                    </Box>
                </Content>
                <Footer prev="/menu43" next="/menu45" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
