import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }
    

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
        @media (max-width: 600px) {
          max-height: 60vh;
        }
    }
    .imagens {
        display: flex;
        justify-content: center;
        column-gap: 1rem;
        @media (max-width: 320px) {
            row-gap: .8rem;
            flex-direction: column;
            
            margin-top: .3rem;
          img{
            width: 100%;
          }
        }
        @media (min-width: 321px) and  (max-width: 600px)  {
            flex-direction: column;
           
            margin-top: .3rem;
            .img1{
                width: 100%;
            }
          img{
            width: 100%;
          }
        }
        @media(min-width: 1000px) and (max-height: 510px){
            column-gap: 1rem;
            .img1{
                width: 19%;
            }
            .img2{
                width: 30%;
            }
        
        }
    }
    @media (max-width: 600px) {
        p{
            margin: 0;
        }
    }


`;
