import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Reference2 from "../../components/Reference2";
import AnimatedList from "../../components/AnimatedList";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };

    const list = [
        "1. Garantir um bom acesso venoso; dentro das possibilidades, é conveniente deixar preparado laringoscópio com lâminas e tubos orotraqueais adequados para peso e idade, frascos de solução fisiológica e/ou Ringer Lactato, ampola de solução aquosa de adrenalina 1mg/ml;",
        "2. Caso seja optado por realizar pré-medicação, antes de iniciar a soroterapia deve-se administrar 10 a 15 minutos de drogas anti-histamínicas por via parenteral, como Prometazina ou Ranitidina, e corticoide por via parenteral, como Hidrocortisona.",
    ];

    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Reações adversas à Soroterapia
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    <b>Reações precoces</b>
                                </p>
                                <p>
                                    Embora não existam estudos clínicos
                                    controlados determinando a eficácia dos
                                    diferentes pré-tratamentos em prevenir e
                                    diminuir a frequência das reações precoces,
                                    é aconselhável cumprir a seguinte rotina
                                    antes da administração de soro antiveneno
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    :
                                </p>
                            </Typography>
                        </Box>

                        <AnimatedList
                            List={list}
                            paresBackgroundColor="#C8B6D1"
                            imparesBackgroundColor="#984BBB"
                            paresColor="#000;"
                            imparesColor="#fff"
                        />
                    </Box>
                </Content>
                <Footer prev="/menu44" next="/menu46" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
