import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Attention from "../../components/Attention";

import important from "../../assets/icons/IMPORTANTE.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Reações adversas à Soroterapia
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    <b>Reações precoces</b>
                                </p>
                                <p>
                                    O tratamento das reações precoces
                                    decorrentes do uso de soro antiveneno é
                                    semelhante ao indicado para reações
                                    alérgicas e reações anafiláticas.
                                </p>
                                <p id="pinkBox">
                                    Nos casos em que o usuário apresenta reação
                                    urticariforme intensa podem ser administrados
                                    anti-histamínicos ou corticoides, e nos
                                    casos de reação anafilática ou choque
                                    anafilático deve-se suspender
                                    temporariamente a infusão da soroterapia
                                    antiveneno, pois a droga de escolha para o
                                    tratamento inicial que deve ser administrada
                                    é a adrenalina 1mg/ml, além das medidas de
                                    suporte e oxigenoterapia, se necessário. ​
                                </p>
                                <p>
                                    Após controlar a reação precoce grave, a
                                    soroterapia deve ser reiniciada, com o soro
                                    antiveneno diluído na razão 1:2 a 1:5 em
                                    solução fisiológica ou glicosado 5% e
                                    infundido mais lentamente
                                    <Reference
                                        num="1"
                                        onClick={() => openRef(1)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </Box>
                    </Box>
                </Content>
                <Footer prev="menu45" next="/menu47" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
