import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Attention from "../../components/Attention";
import Zoom from "../../components/Zoom";
import { NewZoom } from "./../../components/NewZoom/index";

import important from "../../assets/icons/SABER.png";
import image from "../../assets/images/info_media/menu47/image.png";
import soros from "../../assets/images/info_media/menu47/soros.pdf";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Reações adversas à Soroterapia
                        </Typography>
                    </Box>
                    <Box className="content">
                        <div className="texto-imagem">
                            <div className="texto">
                                <Typography variant="body1">
                                    <p>
                                        <b>Reações tardias</b>
                                    </p>
                                    <p>
                                        A soroterapia antiveneno pode apresentar
                                        reações tardias, conhecida como “Doença
                                        do Soro”, ocorrendo de 5 a 24 dias após
                                        a administração do soro antiveneno, com
                                        apresentação de{" "}
                                        <b>
                                            febre, artralgia, linfonodomegalia,
                                            urticária e proteinúria.
                                        </b>
                                    </p>
                                    <p>
                                        Dependendo da intensidade das
                                        manifestações clínicas das reações
                                        tardias, pode ser prescrito corticoide,
                                        como a prednisona, na dose de
                                        1mg/kg/dia, máximo de 60mg, por cinco a
                                        sete dias
                                        <Reference
                                            num="1"
                                            onClick={() => openRef(1)}
                                        />
                                        .
                                    </p>
                                    <p>
                                        <b>Clique</b> e observe lesões
                                        urticariformes generalizadas dez dias
                                        após soroterapia.
                                    </p>
                                </Typography>
                                <Attention
                                    Image={important}
                                    Title="PARA SABER MAIS"
                                >
                                    Para saber mais acerca de noções e conceitos
                                    básicos sobre a história, a produção e o
                                    desenvolvimento de imunobiológicos no
                                    Butantan, acesse o material publicado pelo
                                    Butantan: <a href={soros} target="_blank">Soros e vacinas do Butantan.</a>
                                </Attention>
                            </div>
                            <div className="imagem">
                                <NewZoom zoom={image} zoomWidth="20vw" zoomHeight="70vh" zoomMobileWidth="90vw" zoomMobileHeight="70vh"/>

                                
                            </div>
                        </div>
                    </Box>
                </Content>
                <Footer prev="/menu46" next="/menu48" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
