import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
    }

    .texto-imagem {
        display: flex;
        column-gap: 4rem;
        .texto {
            width: 73%;
        }
        .imagem {
            width: 27%;
            img {
                width: 67%;
               
            }
        }
        @media (max-width: 600px) {
            flex-direction: column;
            .texto {
                width: 100%;
            }
            .imagem {
                width: 100%;
                display: flex;
                justify-content: center;
                align-items:center;
                margin-top: 1rem;
                margin-left: 2.5rem;
            }
        }
        @media (min-width: 1000px) and (max-height: 527px) {
            p{
                margin-bottom: 10px;
            }
            .imagem{
                width: 38%;
                img{
                    width: 65%;
                    padding: 0;
                }
            }
        }
        @media (min-width: 601px) and (max-width:990px){
           
            .imagem{
                width: 40%;
                margin-top: 1rem;
                img{
                    width:100%;
                }
            }
        }
        
    }

    .saber {
        img {
            width: 100%;
        }
    }
`;
