import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";


import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Alergia ao látex
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    O látex natural é um produto extraído da
                                    seringueira, em um processo de manufatura
                                    que visa obter as propriedades adequadas de
                                    elasticidade, resistência e barreira de
                                    proteção. O látex está presente em diversos
                                    produtos utilizados no cotidiano, como
                                    preservativos, bolas, toucas, brinquedos, e
                                    em materiais de uso da saúde, como luvas,
                                    cateteres, máscaras, drenos, sondas e
                                    garrotes
                                    <Reference
                                        num="3"
                                        onClick={() => openRef(3)}
                                    />
                                    .
                                </p>
                                <p>
                                    A maioria das reações alérgicas ao uso de
                                    látex são de menor gravidade, com
                                    acometimento dermatológico, rinite,
                                    conjuntivite e asma. No entanto, casos
                                    graves com comprometimento sistêmico, como
                                    anafilaxia, podem ocorrer. ​
                                </p>
                                <p id="pinkBox">
                                    Os principais relatos de casos graves
                                    envolvem intervenções cirúrgicas, colocação
                                    de cateteres, exames ginecológicos e
                                    tratamento dentário. No entanto, nos últimos
                                    anos, têm sido descritos casos de anafilaxia
                                    após exposição a preservativos, balões e
                                    brinquedos que contenham látex. ​​
                                </p>
                                <p>
                                    Além disso, tem-se observado a ocorrência de
                                    reação cruzada da alergia ao látex com
                                    alguns alimentos, principalmente banana,
                                    abacate, kiwi, mamão, aipim e inhame
                                    <Reference
                                        num="3"
                                        onClick={() => openRef(3)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </Box>
                    </Box>
                </Content>
                <Footer next="/menu52" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
