import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import AnimatedList from "../../components/AnimatedList";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    const list = [
        "Profissionais de saúde; ​",
        "Crianças com espinha bífida e outras patologias de malformação congênita; ​",
        "Indivíduos com exposição ocupacional a este alérgeno, como os trabalhadores da indústria dos látex e das plantações de seringueira. ",
    ];
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Alergia ao látex
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    Embora a prevalência da sensibilização ao
                                    látex na população em geral seja baixa, ela
                                    é elevada em alguns grupos que são
                                    considerados de risco. Esses grupos de risco
                                    à sensibilização ao látex compreendem​
                                    <Reference
                                        num="3"
                                        onClick={() => openRef(3)}
                                    />
                                    :
                                </p>
                            </Typography>
                        </Box>
                        <AnimatedList
                            List={list}
                            paresBackgroundColor="#C8B6D1"
                            imparesBackgroundColor="#fff"
                            paresColor="#430D88"
                            imparesColor="#430D88"

                        />

                        <Typography variant="body1">
                            <p className="mt-4">
                                No contexto da exposição ocupacional, o grau de
                                exposição e o tempo de contato são os principais
                                fatores de risco para a sensibilização ao látex,
                                entretanto, o desenvolvimento da manifestação
                                alérgica pode acontecer em qualquer pessoa,
                                mesmo naquelas que não apresentam fatores de
                                risco identificáveis
                                <Reference num="3" onClick={() => openRef(3)} />
                                .
                            </p>
                        </Typography>
                    </Box>
                </Content>
                <Footer prev="/menu51" next="/menu53" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
