import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";


import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Alergia ao látex
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    Para o diagnóstico de alergia ao látex, além
                                    da história clínica, pode-se realizar teste
                                    cutâneo ou a detecção sérica de IgE
                                    específica para o látex.
                                </p>
                                <p id="pinkBox">
                                    No tratamento da alergia ao látex deve-se
                                    evitar a exposição a produtos que contenham
                                    látex e providenciar o uso de sintomáticos como
                                    anti-histamínicos e corticoides nos casos de
                                    menor gravidade, e para os casos de
                                    anafilaxia a intervenção imediata com
                                    medidas de suporte e uso de adrenalina por
                                    via intramuscular. ​​​
                                </p>
                                <p>
                                    Além disso, para os casos de alergia ao
                                    látex mediados por IgE há a possibilidade da
                                    realização de imunoterapia específica, no
                                    intuito de alterar o curso da evolução
                                    natural da doença
                                    <Reference
                                        num="3"
                                        onClick={() => openRef(3)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </Box>
                    </Box>
                </Content>
                <Footer prev="/menu52" next="/menu54" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
