import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Reference2 from "../../components/Reference2";


import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Eventos adversos pós-vacinação​
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p id="pinkBox">
                                    O Programa Nacional de Imunizações (PNI)
                                    constitui uma das principais estratégias de
                                    promoção e prevenção em saúde no Brasil,
                                    contribuindo para a redução da
                                    morbimortalidade causada pelas doenças
                                    imunopreveníveis, desenvolvendo e
                                    aperfeiçoando ferramentas para possibilitar
                                    a melhor instrumentalização e qualificação
                                    das atividades de vacinação em todo
                                    território nacional
                                    <Reference2
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    .
                                </p>
                                <p>
                                    A segurança das vacinas é uma preocupação
                                    mundial e a vacinação segura é fator
                                    determinante para o bom desempenho dos
                                    programas nacionais de imunização. No
                                    entanto, assim como no caso de medicamentos,
                                    as vacinas não estão isentas na ocorrência
                                    de efeitos adversos
                                    <Reference
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    .
                                </p>

                                <p>
                                    Tendo em vista a dimensão e importância do
                                    PNI é esperado que haja grande demanda
                                    populacional para imunização, de acordo com
                                    o calendário nacional de imunizações e as
                                    campanhas de vacinação promovidas pelo
                                    Ministério da Saúde. Nesse processo, as
                                    unidades de atenção primária têm papel
                                    fundamental, pois na maioria dos casos são
                                    as principais responsáveis pela aplicação
                                    desses imunobiológicos
                                    <Reference
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    .
                                </p>
                            </Typography>
                        </Box>
                    </Box>
                </Content>
                <Footer next="/menu62" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
