import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import image from "../../assets/images/info_media/menu62/image.png";
import important from "../../assets/buttons/IMPORTANTE.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    const content = (
        <>
            <p>
                São atribuições das unidades de atenção primária
                <Reference num="4" onClick={() => openRef(4)} />:
            </p>
            <p>
                • Investigar e notificar à Coordenação de Imunizações e/ou ao
                Serviço de Vigilância de referência do município;
            </p>
            <p>• Orientar os vacinados, familiares e/ou responsáveis;</p>
            <p>• Adotar as condutas clínicas adequadas;</p>
            <p>• Consolidar e analisar os casos notificados.</p>
        </>
    );
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Eventos adversos pós-vacinação​
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    É importante que a equipe esteja capacitada
                                    para atuar frente aos eventos adversos
                                    pós-vacinação. Dentre as ocorrências
                                    comuns aos vários imunobiológicos, temos a
                                    anafilaxia e outras manifestações alérgicas
                                    menos graves
                                    <Reference
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    .
                                </p>
                                <p>
                                    Em decorrência do risco de vida, a reação
                                    anafilática deve ser imediatamente tratada,
                                    o local de atendimento deve dispor de
                                    material adequado e uma equipe treinada deve
                                    realizar a abordagem inicial, sendo
                                    solicitada a presença do médico. Deve-se ​
                                    <Reference
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    :
                                </p>
                            </Typography>
                        </Box>
                        <div className="imagem">
                            <img src={image} alt="imagem" />
                        </div>
                        <Typography variant="body1">
                            <p className="mt-3">
                                Além das medidas de suporte, segue-se com a
                                administração de adrenalina por via
                                intramuscular
                                <Reference num="4" onClick={() => openRef(4)} />
                                .
                            </p>
                        </Typography>
                        <Box className="d-flex justify-content-center">
                            <div className="dialog">
                                <Dialog
                                    content={content}
                                    title="Importante"
                                    image={important}
                                />
                            </div>
                        </Box>
                    </Box>
                </Content>
                <Footer prev="/menu61" next="/menu63" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
