import styled from "styled-components";
import { Box } from "@material-ui/core";

import {
    animationstyles,
    containerstyles,
    contentstyles,
    fontstyles,
    conteudointerno,
} from "../../theme/commonstyles";

export const StyledContainer = styled(Box)`
    ${animationstyles};
    ${containerstyles};
    ${fontstyles};

    ${conteudointerno};
`;

export const Content = styled(Box)`
    background: #f1edf3;
    overflow: hidden;
    img {
        max-width: 100%;
        object-fit: scale-down;
    }

    h5 {
        font-weight: bolder;
    }

    flex-grow: 1;
    display: block;
    @media (min-width: 900px) {
        display: flex;
        flex-direction: column;
        justify-content: center;
    }
    ${contentstyles};

    .content {
        flex-grow: 1;
        display: flex;
        flex-direction: column;
        max-height: 67.5vh;
        @media (min-width: 900px) {
            overflow: hidden;
        }
        overflow: auto;

        @media (min-width: 900px) {
            max-height: 80vh;
        }
        @media (max-width: 600px) {
          max-height: 60vh;
        }
    }

    .imagem {
        display: flex;
        justify-content: center;
        margin: 1rem 0;
    }
    @media (max-width: 800px) and (min-height: 1000px) {
        .dialog{
            width: 100%;
            display: flex;
            justify-content: center;
            height: 20vh;
            img{
                box-sizing: border-box;
                max-width: 100%;
                width: 100vw;
               
            }
        }
    }
    @media (min-width: 1000px) and (max-height: 527px) {
        .imagem{
            width: 100%;
            img{
                width: 65%;
            }
        }
    }

`;
