import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer2";
import Reference2 from "../../components/Reference2";
import Reference from "../../components/Reference";
import Dialog from "../../components/Dialog";
import important from "../../assets/buttons/saber.png";
import button_close from "../../assets/buttons/btn_fechar.svg";

import { Content, StyledContainer } from "./styles";

export default function () {
    const headerref = useRef(Header);
    const openRef = (key) => {
        if (!headerref.current) {
            return;
        }

        headerref.current.openRef(key);
    };
    const content = (
        <>
            <p>
                Todos os eventos adversos pós-vacinação devem ser notificados
                pelo profissional que realizou o atendimento. Após a
                identificação de um evento adverso, a notificação deve ser
                iniciada prontamente, com preenchimento de formulário próprio a
                ser encaminhado à Vigilância Epidemiológica ou à Coordenação de
                Imunizações local ou municipal, com atenção aos eventos adversos
                graves (requer hospitalização por pelo menos 24 horas, causa
                risco de morte, causa óbito) que devem ser notificados
                imediatamente ao nível hierárquico superior.
            </p>
            <p>
                A notificação deve ser realizada através do Sistema de
                Informações de Eventos Adversos Pós-Vacinação (SI-EAPV),
                componente do{" "}
                <a href="http://pni.datasus.gov.br/" target="_blank">
                    Sistema de Informações do Programa Nacional de Imunizações
                    (SI-PNI)
                </a>
                . Para fins de vigilância epidemiológica, o tempo máximo para se
                iniciar uma investigação de campo em tempo oportuno é de 48
                horas após a notificação, sendo a equipe da APS responsável por
                realizar o monitoramento desse usuário.
            </p>
        </>
    );
    return (
        <StyledContainer>
            <Header ref={headerref} />
            <Box className="container">
                <Content>
                    <div className="top">
                        <Box className="title">
                            <Typography variant="h5" align="center">
                                Eventos adversos pós-vacinação​
                            </Typography>
                        </Box>
                        <div className="button">
                            <a href="#/menu">
                                <img src={button_close} />
                            </a>
                        </div>
                    </div>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>
                                    Após um episódio de reação anafilática
                                    pós-vacinação, há contraindicação de todos
                                    os componentes vacinais do imunobiológico
                                    causador. Nas situações em que existir risco
                                    aumentado para reação de hipersensibilidade,
                                    recomenda-se a administração em ambiente
                                    hospitalar​
                                    <Reference
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    .
                                </p>
                                <p id="pinkBox">
                                    No caso de manifestações alérgicas sem
                                    sinais de insuficiência respiratória e/ou
                                    colapso circulatório, orienta-se o uso de
                                    anti-histamínico via oral para tratamento de
                                    urticárias ou exantema pruriginoso, e na
                                    ocorrência de manifestações alérgicas de
                                    mais extensão e intensidade podem ser
                                    prescritos corticoides
                                    <Reference2
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    . ​​
                                </p>
                                <p>
                                    Para os usuários que apresentaram
                                    manifestações alérgicas menos graves
                                    pós-vacinação, as doses subsequentes
                                    precisam ser administradas com precaução,
                                    preferencialmente em ambiente hospitalar
                                    <Reference
                                        num="4"
                                        onClick={() => openRef(4)}
                                    />
                                    . ​
                                </p>
                            </Typography>
                        </Box>
                        <Box className=" mt-3 d-flex justify-content-center">
                            <Dialog
                                content={content}
                                title="PARA SABER MAIS"
                                image={important}
                            />
                        </Box>
                    </Box>
                </Content>
                <Footer prev="/menu62" color="transparent" />
            </Box>
        </StyledContainer>
    );
}
