import React, { useRef } from "react";
import { Typography, Box } from "@material-ui/core";

import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Attention from "../../components/Attention2";

import important from "../../assets/icons/OBJETIVO.png";

import { Content, StyledContainer } from "./styles";

export default function () {
    return (
        <StyledContainer>
            <Header />
            <Box className="container">
                <Content>
                    <Box className="title">
                        <Typography variant="h5" align="center">
                            Apresentação
                        </Typography>
                    </Box>
                    <Box className="content">
                        <Box className="text">
                            <Typography variant="body1">
                                <p>Olá, aluna(o)!</p>
                                <p>
                                    A anafilaxia é uma reação alérgica grave e
                                    inesperada que tem um início rápido e pode
                                    ser fatal, por isso o seu reconhecimento e tratamento
                                    oportunos, bem como o posterior estudo
                                    etiológico, são essenciais para evitar novos
                                    episódios.
                                </p>

                                <p>
                                    Além disso, a reação anafilática é sempre
                                    uma condição de absoluta emergência, de modo que o
                                    Serviço Móvel de Urgência deve ser acionado
                                    imediatamente. Você sabe qual o manejo nas
                                    situações especiais em anafilaxia?
                                </p>
                                <p>
                                    Este infográfico tratará das diferentes
                                    situações especiais em anafilaxia, bem como
                                    suas características clínicas e o manejo pela
                                    equipe na Atenção Primária à Saúde (APS).
                                </p>
                                <p>Vamos lá?</p>
                            </Typography>
                        </Box>
                        <Attention Image={important} Title="OBJETIVO">
                            Com base neste infográfico interativo, você será
                            capaz de identificar as principais situações
                            especiais em anafilaxia reconhecendo o respectivo manejo
                            na APS.
                        </Attention>
                    </Box>
                </Content>
            </Box>
            <Footer next="/menu" />
        </StyledContainer>
    );
}
